View all methods

snapshots.list

Return results for a single snapshot—teams with fewer than three contributors are not included.

Facts

Method GET https://api.getdx.com/snapshots.list
Required scope snapshots:read

Arguments

Name Type Description
token Token Auth token passed as an HTTP header.

Example request

This is a typical request:

curl -X GET https://api.getdx.com/snapshots.list \
  --header 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx'

Example response

This is a typical success response:

{
  "ok": true,
  "snapshots": [
    {
      "id": "MjUyNbaY",
      "account_id": "ABCD",
      "last_result_change_at": "2024-07-18T15:47:12.080Z",
      "scheduled_for": "2024-06-16",
      "completed_at": "2024-07-01T14:01:51.027Z",
      "completed_count": 3077,
      "deleted_at": null,
      "total_count": 3686
    },
    {
      "id": "MTY5NwTaY",
      "account_id": "ABCD",
      "last_result_change_at": "2023-11-01T08:19:50.105Z",
      "scheduled_for": "2023-10-01",
      "completed_at": "2023-10-16T11:43:18.382Z",
      "completed_count": 3321,
      "deleted_at": null,
      "total_count": 3580
    }
  ]
}

Errors

This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.

Error Description
not_authed No authentication token provided.
invalid_auth Some aspect of authentication cannot be validated.